curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns/activate \
--header 'Authorization: Bearer <token>'{
"zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"nameservers": [
"<string>"
],
"status": "<string>",
"is_verified": true
}Activate DNS management for a domain by creating a DNS zone on the DNS provider. This operation provisions the zone and returns the nameservers that must be configured at the domain registrar for DNS delegation. If the zone already exists, it refreshes the zone status and returns the current nameservers.
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns/activate \
--header 'Authorization: Bearer <token>'{
"zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"nameservers": [
"<string>"
],
"status": "<string>",
"is_verified": true
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
The unique identifier (UUID) of the domain